package ec.app.regression.testcases;

/**
 * @author Tomasz Pawlak
 */
public class Nguyen09Factory extends FunctionFactory {

    @Override
    protected int arity() {
        return 2;
    }

    @Override
    protected double function(Double... x) {
        return Math.sin(x[0]) + Math.sin(x[1] * x[1]);
    }

    @Override
    public String getSymbolicRepresentation() {
        return "sin(x0) + sin(x1 * x1)";
    }
}
